package com.citygis.web.mapper;

import com.citygis.web.domain.JKVo;
import com.citygis.web.domain.JKindex;
import com.citygis.web.domain.TopicMsg;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface KafkaJKMapper {

    List<TopicMsg> getTopicmsg();

    Integer getTopicmsgCount();

    List<JKindex> queryConsumerMsg(JKVo jkVo);

    List<JKindex> queryConsumerSpeed(JKVo jkVo);

    List<JKindex> queryPerSecMsgOut(JKVo jkVo);

    List<JKindex> queryPerSecMsgIn(JKVo jkVo);

    List<JKindex> queryTopicSize(JKVo jkVo);

    List<JKindex> queryInXL(JKVo jkVo);

    List<JKindex> queryOutXL(JKVo jkVo);

    List<JKindex> queryLagMsg(JKVo jkVo);

    List<JKindex> queryEndOffsetMsg(JKVo jkVo);

}
